# Changelog

## v4.1.0 (2020-07-05)

### Changed

- Updated console output to improve visualization of test results (#61)

### Fixed

- Updated to latest dependencies, including Puppeteer 5

## v4.0.0 (2020-06-13)

**Note: As of v4.0.0, this module is being being released as [`pagean`](https://www.npmjs.com/package/pagean) and [`page-load-tests`](https://www.npmjs.com/package/page-load-tests) has been deprecated.  See details and impacts below.  This drove breaking configuration changes that will require updating your project's configuration file.   See the [version upgrade guide](https://gitlab.com/gitlab-ci-utils/pagean/-/blob/master/docs/upgrade-guide.md) for complete details.**

### Added

- Added external script test to identify any externally loaded javascript files (e.g. loaded from a CDN) and aggregate those files so they can undergo further analysis (e.g. dependency vulnerability scanning). (#42)
- Added the ability to set a failed test to result in a warning instead of a failure, which will not cause failure of the test suite. (#44)

### Changed

- BREAKING: Updated test configuration to allow test-specific settings. With this change, `pageLoadTimeThreshold` must now appears as a setting of the `pageLoadTimeTest` test. (#54)
- BREAKING: Removed support for Node v13 since now end-of-life. (#56)
- BREAKING: Updated module name to `pagean`, including the following configuration and report name changes (#57):
  - Changed configurations file name from `.pltconfig.json` to `.pageanrc.json`
  - Changed report names from `page-load-test-results.*` to `pagean-results.*`.

### Fixed

- Updated to latest dependencies

## v3.0.0 (2020-04-20)

### Changed

- BREAKING: Removed [Jest](https://jestjs.io/) as the test runner and replaced with new a dedicated test runner optimized for these types of tests. This includes simplified HTML and JSON reports, removing code stack traces on error and replacing with more meaningful data, etc (#43, #48, #33, #49).  This also enables future enhancements that a typical test framework could not support (e.g. #47, #44, #42).

### Fixed

- Updated to Puppeteer 3.0.0 with Chrome 81 (#41, #50)
- Updated to latest dependencies to resolve vulnerabilities

## v2.0.0 (2020-01-26)

### Changed

- BREAKING: Removed Node v8 compatibility since end-of-life. Compatible with all current and LTS releases (`^10.13.0 || ^12.13.0 || >=13.0.0`) (#39)
- Updated documentation with link to [example report](https://gitlab-ci-utils.gitlab.io/pagean/pagean-results.html) (#28)

### Fixed

- Updated to latest dependencies

### Miscellaneous

- Added testing for all supported Node.js versions (#36)
- Added accessibility analysis for report via [pa11y-ci](https://www.npmjs.com/package/pa11y-ci) (#38)
- Updated project to use [eslint-plugin-sonarjs](https://www.npmjs.com/package/eslint-plugin-sonarjs) (#37)

## v1.2.1 (2019-11-24)

### Fixed

- Updated to latest dependencies to resolve vulnerabilities

## v1.2.0 (2019-11-16)

### Changed

- Updated rendered HTML test to use local `.htmlhintrc` file if available (#17)

## v1.1.1 (2019-11-10)

### Fixed

- Updated tests to exit with error (i.e. non-zero) for test failure (#32, #31)
- Updated to latest dependencies (Puppeteer, eslint/jest/plugins) (#30)

### Miscellaneous

- Updated project to use custom eslint configuration module (#29)
- Updated CI pipeline to lint HTML and CSS

## v1.1.0 (2019-10-19)

### Changed

- Updated tests to show original URLs (without full file path) (#18)
- Added custom HTML report template with error formatting (#10)
- Updated Dockerfile to run via standard CLI command (#21)

## v1.0.1 (2019-10-17)

### Fixed

- Fixed error when running in a path with spaces (#26)

## v1.0.0 (2019-10-16)

Initial release
