# Version Upgrade Guide

## Upgrading from v3.x (`page-load-tests`) to v4.0 (`pagean`)

1. Change the configurations file name from `.pltconfig.json` to `.pageanrc.json`

2. Pagean v4.0.0 updated the configuration file format to allow test-specific settings. With this change, `pageLoadTimeThreshold` must now appears as a setting of the `pageLoadTimeTest` test, rather than at the same level as the other tests. See the example from/to below:

**From:**

```json
{
    "settings": {
        "pageLoadTimeThreshold": 2
    },
    "urls": [
        "https://somewhere.com/",
        {
            "url": "https://somewhere-else.com",
            "settings": {
                "pageLoadTimeThreshold": 3
            }
        }
    ]
}
```

**To:**

```json
{
    "settings": {
        "pageLoadTimeTest": {
            "pageLoadTimeThreshold": 2
        }
    },
    "urls": [
        "https://somewhere.com/",
        {
            "url": "https://somewhere-else.com",
            "settings": {
                "pageLoadTimeTest": {
                    "pageLoadTimeThreshold": 3
                }
            }
        }
    ]
}
```
